Firefox 31 : sec_error_ca_cert_invalid

 dans Actus, Failles, Linux, OSX, Outils, Sécurité, Serveur

Firefox 31 : sec_error_ca_cert_invalid

Si vous tentez d’accéder à un site présentant un certificat auto-signé avec Firefox (dans sa version 31), vous obtiendrez surement une erreur sur le certificat émetteur invalide (sec_error_ca_cert_invalid). Il faut savoir que Firefox intègre une nouvelle politique sur les vérifications des certificats émetteurs, cette nouvelle bibliothèque est nommée PKIX.

C’est donc une vérification plus stricte qui est effectué et présentera des erreurs sur les certificats auto-signé. Mais il existe un moyen pour contourner la chose 🙂

Pour désactiver cette fonction, il vous faut bidouiller un peu la configuration de Firefox.
Tapez « about:config » dans la barre URL et cochez la case afin de continuer la modification.
Recherchez ensuite la chaine « security.use_mozillapkix_verification = false » (faites simplement un double clic sur le « true »).

J’espère que cela vous aidera si vous rencontrez cette erreur.
A bientôt !

Articles recommandés
Comments
  • netounet
    Répondre

    Yes merci pour ce tip je teste dès que j’ai 2 min 😉

Laisser un commentaire

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.